Subject: Re: StGIT: "stg new" vs "stg new --force"

From: Pavel Roskin <[email-masked]>
Date: Tue, 24 Jan 2006 00:30:23 -0500

On Fri, 2006-01-20 at 13:22 -0500, J. Bruce Fields wrote:
> I tend to use stg refresh -es as a quick (well, not quite as quick as
> I'd like) way to look at the current patch.  Often I leave it up while
> I'm working (editing the patched files).  So if exiting from stg refresh
> -es suddenly started overwriting my working files, I'd be very
> unhappy....

If I understand correctly, "stg refresh" only modifies the repository,
not the files in the local directory.  This shouldn't change.

It's only having two instances of "stg refresh -es" that would be a
problem if conflicting edits are made in both editors.  The answer to
that is "don't do it".

-- 
Regards,
Pavel Roskin